Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 07 Dec 2021 05:04:31 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi! I received my order and I'd like to make a refund on one of the items. I sent the request and got a text and email that the delivery partner will come to get the item I want to send back in 2-5 days..

about that I'm very bored with this whole process, as it took 2 weeks to get to me. So I want to ask if I can bring back the item myself to one of your stores near me. is that ok? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3554223